Outdated applications and add-ons (resource overusage)

Web applications (WordPress, Drupal, etc.) that are out of date can contain bugs that significantly affect resource usage on your hosting account. They also leave your site at risk of compromise, which can affect resource usage as well as security.

Is this an issue for me?

Here are some common causes and indicators of issues related to outdated applications:

  • Web applications that are not up to date, regardless of the traffic the site receives
  • Application plugins or add-ons that are not kept current
  • Frequent code errors inside your error logs
  • Sites that are experiencing symptoms of possible security compromise

How can I correct this issue?

You can try to correct resource usage caused by outdated applications by following any and all of these steps:

  • Scan all local computers that have hosting account access for the presence of malware such as trojans, keyloggers, etc.
  • Keep all web applications up to date at all times.
  • Update any hosted web applications and their appropriate add-ons or plugins.
  • Review all hosted content for possible compromise.
  • Implement additional security measures on your site, such as Website Security.

Next steps

If you are still experiencing issues with resource usage, review your hosting for other possible causes at Common causes for resource overusage (Linux).

Note: You will want to make sure that you are correcting the underlying cause to any resource issue. Simply removing sites and/or files without correcting the underlying issue can cause the problem to recur.


Помогла ли вам эта статья?
Благодарим вас за отзыв. Чтобы связаться с сотрудником службы поддержки клиентов, позвоните по номеру этой службы или воспользуйтесь опцией чата выше.
Мы рады вам помочь! У вас остались вопросы?
Приносим извинения. Расскажите нам, какие затруднения вы испытываете или почему рекомендованное решение не помогло устранить проблему.